swage.css 27 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941942943944945946947948949950951952953954955956957958959960961962963964965966967968969970971972973974975976977978979980981982983984985986987988989990991992993994995996997998999100010011002100310041005100610071008100910101011101210131014101510161017101810191020102110221023102410251026102710281029103010311032103310341035103610371038103910401041104210431044104510461047104810491050105110521053105410551056105710581059106010611062106310641065106610671068106910701071107210731074107510761077107810791080108110821083108410851086108710881089109010911092109310941095109610971098109911001101110211031104110511061107110811091110111111121113111411151116111711181119112011211122112311241125112611271128112911301131113211331134113511361137113811391140114111421143114411451146114711481149115011511152115311541155115611571158115911601161116211631164116511661167116811691170117111721173117411751176117711781179118011811182118311841185118611871188118911901191119211931194119511961197119811991200120112021203120412051206120712081209121012111212121312141215121612171218121912201221122212231224122512261227122812291230123112321233123412351236123712381239124012411242124312441245124612471248124912501251125212531254125512561257125812591260126112621263126412651266126712681269127012711272127312741275127612771278127912801281128212831284128512861287128812891290129112921293129412951296129712981299130013011302130313041305130613071308130913101311131213131314131513161317131813191320132113221323132413251326132713281329133013311332133313341335133613371338133913401341134213431344134513461347134813491350135113521353135413551356135713581359136013611362136313641365136613671368136913701371137213731374137513761377137813791380138113821383138413851386138713881389139013911392139313941395139613971398139914001401140214031404140514061407140814091410141114121413141414151416141714181419142014211422142314241425142614271428142914301431143214331434143514361437143814391440144114421443144414451446144714481449145014511452145314541455145614571458145914601461146214631464146514661467146814691470147114721473147414751476147714781479148014811482148314841485148614871488148914901491149214931494149514961497149814991500150115021503150415051506150715081509151015111512151315141515151615171518151915201521152215231524152515261527152815291530153115321533153415351536153715381539154015411542154315441545154615471548154915501551155215531554155515561557155815591560156115621563156415651566156715681569157015711572157315741575157615771578157915801581158215831584158515861587158815891590159115921593159415951596159715981599160016011602160316041605160616071608160916101611161216131614161516161617161816191620162116221623162416251626162716281629163016311632163316341635163616371638163916401641164216431644164516461647164816491650165116521653165416551656165716581659166016611662166316641665166616671668166916701671167216731674167516761677167816791680168116821683168416851686168716881689169016911692169316941695169616971698169917001701170217031704170517061707170817091710171117121713171417151716171717181719172017211722
  1. @charset "UTF-8";
  2. /* colors */
  3. :root {
  4. --color-base-text: #181621;
  5. --color-base-light: #f5f3f3;
  6. --color-base-nav: #0062be;
  7. --color-base-aside: #22303d;
  8. --color-base-alert: #fa8052;
  9. --color-base-good: #5eaabf;
  10. --color-base-bad: #b0425b;
  11. --color-base-grey: #e3e3e3;
  12. --color-base-grey-transparent: #d9d9d9bb;
  13. --color-base-stared: #fff6da;
  14. --color-base-unread: #fff3ed;
  15. --color-base-hover: #fff;
  16. --color-text-light: var(--color-base-light);
  17. --color-text-light-darker: color(from var(--color-base-light) hsl h s calc(l - 40%));
  18. --color-text-dark: var(--color-base-text);
  19. --color-text-nav: color(from var(--color-base-nav) hsl h s calc(l - 10%));
  20. --color-text-aside: var(--color-base-aside);
  21. --color-text-alert: var(--color-base-alert);
  22. --color-text-good: var(--color-base-good);
  23. --color-text-bad: var(--color-base-bad);
  24. --color-text-bad-lighter: color(from var(--color-base-bad) hsl h s calc(l + 10%));
  25. --color-text-shadow-light: var(--color-base-light);
  26. --color-box-shadow-light: color(from var(--color-base-light) hsl h s calc(l - 10%));
  27. --color-border-light: var(--color-base-light);
  28. --color-border-light-darker: color(from var(--color-base-light) hsl h s calc(l - 10%));
  29. --color-border-grey: var(--color-base-grey);
  30. --color-border-nav: color(from var(--color-base-nav) hsl h s calc(l - 10%));
  31. --color-border-bad: var(--color-base-bad);
  32. --color-background-light: var(--color-base-light);
  33. --color-background-light-darker: color(from var(--color-base-light) hsl h s calc(l - 10%));
  34. --color-background-light-darker-transparent: var(--color-base-grey-transparent);
  35. --color-background-dark: var(--color-base-text);
  36. --color-background-nav: var(--color-base-nav);
  37. --color-background-nav-darker: color(from var(--color-base-nav) hsl h s calc(l - 10%));
  38. --color-background-aside: var(--color-base-aside);
  39. --color-background-alert: var(--color-base-alert);
  40. --color-background-alert-darker: color(from var(--color-base-alert) hsl h s calc(l - 10%));
  41. --color-background-good: var(--color-base-good);
  42. --color-background-bad: color(from var(--color-base-bad) hsl h s calc(l + 10%));
  43. --color-background-stared: var(--color-base-stared);
  44. --color-background-unread: var(--color-base-unread);
  45. --color-background-hover: var(--color-base-hover);
  46. --frss-scrollbar-handle: rgba(0, 0, 0, 0.1);
  47. --frss-scrollbar-handle-hover: rgba(0, 0, 0, 0.4);
  48. --frss-scrollbar-track: rgba(0, 0, 0, 0.05);
  49. --frss-scrollbar-track-hover: rgba(0, 0, 0, 0.1);
  50. --min-height-input: 25px;
  51. --margin-top-input: 4px;
  52. --border-input-default: 2px solid var(--color-border-grey);
  53. --min-height-nav-list: 2.5em;
  54. --line-height-nav-list: 2.5;
  55. --padding-dropdown: 0 22px;
  56. --font-size-dropdown: 0.8rem;
  57. --line-height-dropdown: 2.5;
  58. --width-aside: 231px;
  59. }
  60. /* Compatibility: CSS Color Module Level 4, Relative Color */
  61. @supports not (color: color(from white hsl h s calc(l - 10%))) {
  62. :root {
  63. --color-text-light-darker: #988484;
  64. --color-text-nav: #00488b;
  65. --color-text-bad-lighter: #c46178;
  66. --color-box-shadow-light: #ded7d7;
  67. --color-border-light-darker: #ded7d7;
  68. --color-border-nav: #00488b;
  69. --color-background-light-darker: #ded7d7;
  70. --color-background-nav-darker: #00488b;
  71. --color-background-alert-darker: #f95c20;
  72. --color-background-bad: #c46178;
  73. }
  74. }
  75. html,
  76. body {
  77. color: var(--color-text-dark);
  78. font-family: Helvetica, Arial, sans-serif;
  79. }
  80. body:not(.normal):not(.reader) nav.configure a.dropdown-toggle,
  81. li.tree-folder span.title {
  82. margin-left: 0.25rem;
  83. }
  84. :root.file_query {
  85. .nav-pagination {
  86. margin-top: 6rem;
  87. }
  88. ul.pagination {
  89. a {
  90. padding: 0 0.2rem 0 0.2rem;
  91. }
  92. }
  93. .view-rss > .icon {
  94. filter: brightness(0);
  95. }
  96. main > h1:first-child {
  97. margin-top: 2rem;
  98. }
  99. }
  100. #slider-content #feed_update fieldset .form-group:last-child {
  101. margin-bottom: 0.4rem;
  102. }
  103. .configure.open-slider > .icon {
  104. filter: brightness(0.4);
  105. }
  106. a {
  107. color: var(--color-text-nav);
  108. outline: none;
  109. &#btn-subscription {
  110. width: 76%;
  111. }
  112. &#btn-add {
  113. width: 5%;
  114. }
  115. }
  116. img {
  117. &.icon:hover {
  118. background: none;
  119. }
  120. }
  121. sup {
  122. top: -0.3em;
  123. }
  124. legend {
  125. margin: 20px 0 5px;
  126. padding: 5px 20px;
  127. background-color: var(--color-background-aside);
  128. display: inline-block;
  129. width: auto;
  130. color: var(--color-text-light);
  131. font-size: 1.4em;
  132. clear: both;
  133. }
  134. label {
  135. min-height: var(--min-height-input);
  136. }
  137. :is(textarea, input, select) {
  138. min-height: var(--min-height-input);
  139. margin-top: var(--margin-top-input);
  140. background-color: var(--color-background-light);
  141. border: var(--border-input-default);
  142. &:focus {
  143. border: 2px solid var(--color-background-dark);
  144. outline: none;
  145. }
  146. }
  147. :is(input, select) {
  148. &:invalid {
  149. padding-left: 5px;
  150. color: var(--color-text-bad);
  151. border-left-color: var(--color-border-bad);
  152. border-left-width: 5px;
  153. box-shadow: none;
  154. }
  155. &:disabled {
  156. background-color: var(--color-background-light);
  157. }
  158. }
  159. option {
  160. padding: 0 .5em;
  161. }
  162. table {
  163. border-collapse: collapse;
  164. }
  165. td,
  166. th {
  167. border: 1px solid var(--color-border-light-darker);
  168. }
  169. th {
  170. background-color: var(--color-background-light);
  171. }
  172. form {
  173. td,
  174. th {
  175. font-weight: normal;
  176. text-align: center;
  177. }
  178. }
  179. .category {
  180. .title.error::before {
  181. display: inline-block;
  182. padding-right: 7px;
  183. width: 16px;
  184. content: url(../Swage/icons/error.svg);
  185. }
  186. }
  187. .form-group {
  188. padding: 5px;
  189. border: 1px solid transparent;
  190. &:hover {
  191. background-color: var(--color-background-light);
  192. border: 1px solid var(--color-border-light);
  193. }
  194. &.form-actions {
  195. margin: 15px 0 25px;
  196. padding: 5px 0;
  197. background-color: var(--color-background-light-darker-transparent);
  198. border-top: 3px solid var(--color-border-light-darker);
  199. .btn, a {
  200. margin-left: 1rem;
  201. }
  202. }
  203. .group-name {
  204. padding: 10px 0;
  205. text-align: right;
  206. }
  207. .group-controls {
  208. min-height: 25px;
  209. padding: 5px 0;
  210. .control {
  211. line-height: 2.0;
  212. }
  213. }
  214. }
  215. .form-group::after {
  216. display: block;
  217. clear: both;
  218. }
  219. .stick {
  220. select {
  221. margin-top: 0;
  222. }
  223. &.configure-feeds {
  224. margin: 0.5rem 0 1rem 0.3rem;
  225. width: var(--width-aside);
  226. }
  227. }
  228. .btn {
  229. margin: 0;
  230. padding: 0.25rem 0.5rem;
  231. background-color: var(--color-background-nav);
  232. color: var(--color-text-light);
  233. font-size: 0.9rem;
  234. border: none;
  235. min-height: 25px;
  236. min-width: 15px;
  237. vertical-align: middle;
  238. line-height: 1.5;
  239. text-decoration: none;
  240. &.active,
  241. &:active,
  242. &:hover {
  243. background-color: var(--color-background-nav-darker);
  244. text-decoration: none;
  245. }
  246. .icon {
  247. filter: brightness(3);
  248. }
  249. }
  250. .btn-important, .btn-attention {
  251. font-weight: normal;
  252. background-color: var(--color-background-alert);
  253. color: var(--color-text-light);
  254. &:hover,
  255. :active {
  256. background-color: var(--color-background-alert-darker) !important;
  257. }
  258. }
  259. .manage-list {
  260. .configure {
  261. .icon {
  262. filter: brightness(0.4);
  263. vertical-align: sub;
  264. }
  265. &:hover {
  266. filter: invert(56%) sepia(87%) saturate(1185%) hue-rotate(327deg) brightness(104%) contrast(96%);
  267. }
  268. }
  269. }
  270. .switch.active {
  271. background-color: var(--color-background-nav);
  272. &:hover {
  273. background-image: url('./icons/disabled-light.svg');
  274. }
  275. }
  276. .nav-list {
  277. font-size: 0.9rem;
  278. .item {
  279. min-height: var(--min-height-nav-list);
  280. line-height: var(--line-height-nav-list);
  281. .nav-header {
  282. min-height: var(--min-height-nav-list);
  283. line-height: var(--line-height-nav-list);
  284. padding: 0 1rem;
  285. font-weight: bold;
  286. background-color: var(--color-background-aside);
  287. color: var(--color-text-light);
  288. cursor: default;
  289. }
  290. a:hover,
  291. .as-link:hover {
  292. background-color: var(--color-background-nav-darker);
  293. color: var(--color-text-light);
  294. }
  295. &.active {
  296. background: var(--color-background-nav-darker);
  297. color: var(--color-text-light);
  298. a,
  299. .as-link {
  300. color: var(--color-text-light);
  301. }
  302. }
  303. > a,
  304. > .as-link {
  305. padding: 0 1.5rem;
  306. }
  307. .icon {
  308. filter: brightness(3);
  309. }
  310. }
  311. .nav-form {
  312. padding: 3px;
  313. text-align: center;
  314. }
  315. a:hover,
  316. .as-link:hover {
  317. text-decoration: none;
  318. }
  319. }
  320. .dropdown-menu {
  321. padding: 0.5rem 0 1rem 0;
  322. font-size: var(--font-size-dropdown);
  323. text-align: left;
  324. border: none;
  325. background-color: var(--color-background-nav-darker);
  326. .item > a,
  327. .item > .as-link,
  328. .item > span {
  329. width: 96% !important;
  330. }
  331. .dropdown-header {
  332. cursor: default;
  333. padding: 0.5rem 10px 0.5rem 10px;
  334. font-weight: bold;
  335. color: var(--color-text-light);
  336. a,
  337. .as-link {
  338. padding: 0.1rem 0.3rem 0.3rem 0.3rem;
  339. position: absolute;
  340. right: 5px;
  341. margin-top: -3px;
  342. &:hover {
  343. background-color: var(--color-background-nav);
  344. }
  345. }
  346. }
  347. .dropdown-section {
  348. .dropdown-section-title {
  349. cursor: default;
  350. padding: 0.25rem 0.5rem 0.125rem 0.25rem;
  351. font-weight: bold;
  352. color: var(--color-text-light);
  353. }
  354. .item {
  355. a,
  356. .as-link {
  357. padding: var(--padding-dropdown);
  358. &:hover {
  359. background-color: var(--color-background-nav);
  360. }
  361. }
  362. }
  363. }
  364. & > .item {
  365. padding: 0 0 0 0.5rem;
  366. }
  367. .item {
  368. color: var(--color-text-light);
  369. font-size: var(--font-size-dropdown);
  370. line-height: var(--line-height-dropdown);
  371. > :is(a, .as-link, span, button) {
  372. padding: var(--padding-dropdown);
  373. color: var(--color-text-light);
  374. font-size: var(--font-size-dropdown);
  375. line-height: var(--line-height-dropdown);
  376. }
  377. > a {
  378. min-width: initial;
  379. white-space: nowrap;
  380. }
  381. > :is(a, button):hover {
  382. background-color: var(--color-background-nav);
  383. color: var(--color-text-light);
  384. }
  385. }
  386. & > .item[aria-checked="true"] > a::before {
  387. font-weight: bold;
  388. margin: 0 0 0 -14px;
  389. }
  390. .help a {
  391. color: var(--color-text-light);
  392. text-decoration: underline;
  393. text-decoration-style: dotted;
  394. &:hover {
  395. text-decoration-style: solid;
  396. }
  397. }
  398. .input {
  399. select,
  400. input {
  401. margin: 0 auto 5px;
  402. padding: 2px 5px;
  403. }
  404. }
  405. }
  406. #dropdown-search-wrapper .dropdown-menu {
  407. padding-top: 1rem;
  408. padding-bottom: 0.25rem;
  409. a {
  410. padding: 0;
  411. }
  412. .stick.search {
  413. width: 100%;
  414. input[type="search"] {
  415. width: 100%;
  416. border: 0;
  417. }
  418. .btn:hover {
  419. filter: brightness(0.9);
  420. }
  421. }
  422. }
  423. .item ~ .dropdown-header,
  424. .item.separator {
  425. border-top-color: var(--color-border-light-darker);
  426. cursor: default;
  427. }
  428. li.item.separator {
  429. padding-top: 0.4rem;
  430. }
  431. .alert {
  432. margin: 0.25rem auto;
  433. background-color: var(--color-background-light);
  434. color: var(--color-text-light-darker);
  435. font-size: 0.9em;
  436. border: none;
  437. text-shadow: 0 0 1px var(--color-text-shadow-light);
  438. > a {
  439. color: inherit;
  440. text-decoration: underline;
  441. }
  442. }
  443. .alert-head {
  444. font-size: 1.15em;
  445. }
  446. .alert-warn,
  447. .alert-success,
  448. .alert-error {
  449. border: none;
  450. }
  451. .alert-warn {
  452. background-color: var(--color-background-light);
  453. color: var(--color-text-alert);
  454. }
  455. .alert-success {
  456. background-color: var(--color-background-light);
  457. color: var(--color-text-good);
  458. }
  459. .alert-error {
  460. background-color: var(--color-background-light);
  461. color: var(--color-text-bad);
  462. }
  463. .pagination {
  464. background: var(--color-background-light-darker);
  465. color: var(--color_text);
  466. .item a {
  467. color: var(--color_text);
  468. }
  469. }
  470. #load_more.loading,
  471. #load_more.loading:hover {
  472. background: url(loader.gif) center center no-repeat var(--color-background-aside);
  473. }
  474. .content {
  475. padding: 20px 10px;
  476. hr {
  477. margin: 30px 10px;
  478. background: var(--color-background-light-darker);
  479. height: 1px;
  480. border: 0;
  481. box-shadow: 0 2px 5px var(--color-box-shadow-light);
  482. }
  483. pre {
  484. background-color: var(--color-background-dark);
  485. color: var(--color-text-light);
  486. code {
  487. background: transparent;
  488. color: var(--color-text-light);
  489. border: none;
  490. }
  491. }
  492. code {
  493. background-color: var(--color-background-light);
  494. color: var(--color-text-bad);
  495. border-color: var(--color-border-light);
  496. }
  497. blockquote {
  498. margin: 0;
  499. padding: 5px 20px;
  500. background-color: var(--color-background-light);
  501. display: block;
  502. color: var(--color-text-light-darker);
  503. border-top: 1px solid var(--color-border-light-darker);
  504. border-bottom: 1px solid var(--color-border-light-darker);
  505. p {
  506. margin: 0;
  507. }
  508. }
  509. > h1.title > a {
  510. color: var(--color_text);
  511. }
  512. }
  513. main.post .drop-section li.item.feed a .icon {
  514. filter: brightness(0.4);
  515. }
  516. main.post .drop-section li.item.feed a:hover .icon {
  517. filter: invert(56%) sepia(87%) saturate(1185%) hue-rotate(327deg) brightness(104%) contrast(96%);
  518. }
  519. .box {
  520. border: 1px solid var(--color-border-light-darker);
  521. .box-title {
  522. margin: 0;
  523. background-color: var(--color-background-aside);
  524. color: var(--color-text-light);
  525. border-bottom: 1px solid var(--color-border-light-darker);
  526. a {
  527. color: var(--color-text-light);
  528. }
  529. .configure {
  530. margin-right: 4px;
  531. .icon {
  532. &:hover {
  533. filter: invert(56%) sepia(87%) saturate(1185%) hue-rotate(327deg) brightness(104%) contrast(96%);
  534. }
  535. }
  536. }
  537. }
  538. .box-content {
  539. max-height: 260px;
  540. .item {
  541. padding: 0 10px;
  542. font-size: 0.9rem;
  543. .configure {
  544. .icon {
  545. vertical-align: middle;
  546. filter: brightness(0.4);
  547. &:hover {
  548. filter: invert(56%) sepia(87%) saturate(1185%) hue-rotate(327deg) brightness(104%) contrast(96%);
  549. }
  550. }
  551. }
  552. }
  553. }
  554. &.category {
  555. .box-title .title {
  556. font-weight: normal;
  557. text-decoration: none;
  558. text-align: left;
  559. }
  560. &:not([data-unread="0"]) .box-title {
  561. background-color: var(--color-background-nav);
  562. &:active {
  563. background: var(--color-background-nav-darker);
  564. }
  565. .title {
  566. font-weight: bold;
  567. color: var(--color-text-light);
  568. }
  569. }
  570. .title:not([data-unread="0"])::after {
  571. background: none;
  572. border: 0;
  573. box-shadow: none;
  574. position: absolute;
  575. top: 5px;
  576. right: 10px;
  577. font-weight: bold;
  578. text-shadow: none;
  579. }
  580. }
  581. &.visible-semi {
  582. border-style: solid;
  583. }
  584. }
  585. .tree {
  586. margin: 10px 0;
  587. }
  588. .aside_feed .tree-folder-title {
  589. padding: 0.3rem 0.75rem;
  590. background-color: var(--color-background-aside);
  591. font-size: 1rem;
  592. position: relative;
  593. .title {
  594. background: inherit;
  595. color: var(--color-text-light);
  596. &:hover {
  597. text-decoration: none;
  598. }
  599. }
  600. }
  601. .tree-folder-items {
  602. background-color: var(--color-background-aside);
  603. > .item {
  604. font-size: 0.8rem;
  605. &.active {
  606. background-color: var(--color-background-nav-darker);
  607. }
  608. > a {
  609. text-decoration: none;
  610. color: var(--color-text-light);
  611. }
  612. }
  613. }
  614. .item.search {
  615. display: none;
  616. }
  617. .header {
  618. height: auto;
  619. position: sticky;
  620. top: 0;
  621. z-index: 96; /* above .nav_menu (90) and .item.configure (95) */
  622. > .item {
  623. padding: 0;
  624. vertical-align: middle;
  625. &.title {
  626. position: absolute;
  627. text-align: center;
  628. a {
  629. padding: 0 1rem;
  630. &:hover {
  631. .logo {
  632. filter: grayscale(100%) brightness(100) opacity(90%);
  633. }
  634. }
  635. }
  636. .logo {
  637. display: inline-block;
  638. height: 26px;
  639. vertical-align: top;
  640. position: relative;
  641. top: 5px;
  642. filter: grayscale(100%) brightness(100);
  643. }
  644. }
  645. }
  646. .item.configure {
  647. position: absolute;
  648. top: 0;
  649. right: 0;
  650. z-index: 95;
  651. width: 35px;
  652. text-align: center;
  653. line-height: 0.8;
  654. > .icon {
  655. filter: brightness(3);
  656. margin-right: 5px;
  657. margin-top: 3px;
  658. }
  659. .dropdown .dropdown-menu {
  660. max-height: calc(100vh - 45px);
  661. overflow: auto;
  662. .icon {
  663. filter: brightness(3);
  664. }
  665. }
  666. }
  667. }
  668. .aside {
  669. background-color: var(--color-background-aside);
  670. padding-top: 2.5rem;
  671. &.aside_feed {
  672. .tree {
  673. margin: 0 0 50px;
  674. }
  675. .tree-folder {
  676. .tree-folder-title,
  677. .item.feed {
  678. &:hover {
  679. background-color: var(--color-background-nav-darker);
  680. }
  681. }
  682. }
  683. .nav-form {
  684. input,
  685. select {
  686. width: 140px;
  687. }
  688. .dropdown {
  689. .dropdown-menu {
  690. right: -20px;
  691. }
  692. .dropdown-menu::after {
  693. right: 33px;
  694. }
  695. }
  696. }
  697. }
  698. }
  699. #aside_feed > ul > li:first-child {
  700. margin-top: 0.4rem;
  701. }
  702. .aside_feed {
  703. .category .title:not([data-unread="0"])::after {
  704. margin: 0.5rem 0 0 0;
  705. background-color: var(--color-background-nav-darker);
  706. color: var(--color-text-light);
  707. }
  708. .feed .item-title:not([data-unread="0"])::after {
  709. background-color: var(--color-background-nav);
  710. color: var(--color-text-light);
  711. }
  712. .tree-folder-items .dropdown-menu::after {
  713. left: 2px;
  714. }
  715. .about {
  716. margin: 0.2rem 0 1rem 0;
  717. display: block;
  718. font-size: 0.8em;
  719. text-align: center;
  720. font-style: italic;
  721. }
  722. }
  723. .toggle_aside {
  724. margin-bottom: 1rem;
  725. }
  726. .aside.visible .toggle_aside {
  727. border-bottom: 1px solid var(--frss-border-color);
  728. }
  729. .reader {
  730. .aside {
  731. .toggle_aside {
  732. background-color: var(--color-background-aside);
  733. .icon {
  734. filter: brightness(3);
  735. }
  736. &:hover {
  737. background-color: var(--color-background-nav);
  738. }
  739. }
  740. }
  741. }
  742. .post {
  743. font-size: 0.9em;
  744. input {
  745. &.long {
  746. height: 33px;
  747. margin-top: 0px;
  748. }
  749. }
  750. }
  751. #global {
  752. height: 100vh;
  753. }
  754. #new-article {
  755. width: var(--width-aside);
  756. font-size: 1em;
  757. background-color: var(--color-background-nav);
  758. text-align: center;
  759. position: fixed;
  760. bottom: 48px;
  761. z-index: 900;
  762. left: 0;
  763. line-height: 1.5;
  764. > a {
  765. padding: 1rem;
  766. line-height: 1.5;
  767. font-weight: bold;
  768. color: var(--color-text-light);
  769. &:hover {
  770. text-decoration: none;
  771. background-color: var(--color-background-nav-darker);
  772. }
  773. }
  774. }
  775. .transition {
  776. padding: 0 10px;
  777. font-weight: bold;
  778. line-height: 3;
  779. text-align: center;
  780. .name {
  781. display: none;
  782. }
  783. }
  784. .nav {
  785. a,
  786. .as-link {
  787. color: var(--color-text-light);
  788. }
  789. }
  790. .nav_menu {
  791. padding: 0 0 0 2rem;
  792. width: 100%;
  793. box-sizing: border-box;
  794. font-size: 0;
  795. background-color: var(--color-background-nav);
  796. text-align: left;
  797. position: sticky;
  798. top: 0;
  799. z-index: 90;
  800. .item.search {
  801. display: inline-block;
  802. position: absolute;
  803. right: 40px;
  804. input {
  805. border-width: 0;
  806. line-height: 1.95;
  807. }
  808. }
  809. #nav_menu_toggle_aside {
  810. left: 0;
  811. }
  812. #toggle-unread,
  813. #toggle-starred {
  814. .icon {
  815. filter: brightness(1);
  816. }
  817. }
  818. .btn {
  819. box-sizing: content-box;
  820. }
  821. }
  822. .flux {
  823. padding-right: 10px;
  824. background-color: var(--color-background-light);
  825. &::after {
  826. margin: 0 auto;
  827. display: block;
  828. width: 90%;
  829. border-top: 1px solid var(--color-border-light-darker);
  830. clear: both;
  831. }
  832. .flux_header:hover {
  833. background-color: var(--color-background-hover);
  834. &:not(.current):hover .item .title {
  835. background-color: var(--color-background-hover);
  836. }
  837. }
  838. &.current {
  839. border-left: 2px solid var(--color-background-alert-darker);
  840. .flux_header {
  841. background-color: unset;
  842. margin-left: -2px; /* Compensate increased border-left-width */
  843. }
  844. .flux_header:hover {
  845. background: linear-gradient(to right, transparent 0, transparent 2px, var(--color-background-hover) 2px);
  846. }
  847. }
  848. &.favorite:not(.current) {
  849. background-color: var(--color-background-stared);
  850. &:hover .item .title {
  851. background-color: var(--color-background-stared);
  852. }
  853. }
  854. &.not_read:not(.current) {
  855. background-color: var(--color-background-unread);
  856. &:hover .item .title {
  857. background-color: var(--color-background-unread);
  858. }
  859. }
  860. .flux_header .date,
  861. .flux_content .bottom .date {
  862. color: var(--color-text-light-darker);
  863. }
  864. .bottom {
  865. font-size: 0.8rem;
  866. text-align: center;
  867. }
  868. label {
  869. color: var(--color-text-light);
  870. cursor: pointer;
  871. }
  872. }
  873. .flux_header {
  874. font-size: 0.8rem;
  875. cursor: pointer;
  876. .title {
  877. font-size: 0.9rem;
  878. }
  879. }
  880. .notification {
  881. padding: 10px 0;
  882. width: var(--width-aside);
  883. height: auto;
  884. color: var(--color-text-light-darker);
  885. font-size: 1em;
  886. border: none;
  887. background-color: var(--color-background-light-darker);
  888. text-align: center;
  889. font-weight: bold;
  890. vertical-align: middle;
  891. position: fixed;
  892. bottom: 48px;
  893. left: 0;
  894. top: auto;
  895. &.good,
  896. &.bad {
  897. color: var(--color-text-light);
  898. }
  899. &.good {
  900. background-color: var(--color-background-good);
  901. a.close:hover {
  902. background-color: var(--color-background-good);
  903. }
  904. }
  905. &.bad {
  906. background-color: var(--color-background-bad);
  907. a.close:hover {
  908. background-color: var(--color-background-bad);
  909. }
  910. }
  911. a.close {
  912. display: none;
  913. }
  914. }
  915. #bigMarkAsRead.big {
  916. text-align: center;
  917. text-decoration: none;
  918. background: var(--color-background-light-darker);
  919. &:hover {
  920. background-color: var(--color-background-aside);
  921. color: var(--color-text-light);
  922. }
  923. }
  924. #nav_entries {
  925. background-color: var(--color-background-aside);
  926. }
  927. .stat {
  928. margin: 10px 0 20px;
  929. th,
  930. td,
  931. tr {
  932. border: none;
  933. }
  934. > table {
  935. td,
  936. th {
  937. border-bottom: 1px solid var(--color-border-light-darker);
  938. }
  939. }
  940. }
  941. #overlay {
  942. z-index: 100;
  943. .close .icon {
  944. filter: brightness(3);
  945. }
  946. }
  947. #panel {
  948. z-index: 100;
  949. .nav_menu {
  950. position: relative;
  951. }
  952. }
  953. body:not(:has(nav#aside_feed)) {
  954. #global {
  955. height: 0;
  956. }
  957. .logo {
  958. right: 30px;
  959. }
  960. .header {
  961. background-color: var(--color-background-nav);
  962. height: 2.4rem;
  963. position: relative;
  964. > .item {
  965. &.configure {
  966. width: auto;
  967. position: absolute;
  968. white-space: nowrap;
  969. .icon {
  970. filter: brightness(3);
  971. }
  972. }
  973. }
  974. }
  975. }
  976. .controller_error div.alert-error {
  977. margin-top: 3rem;
  978. }
  979. body.register {
  980. form div:last-child > a {
  981. float: right;
  982. position: relative;
  983. right: 0.2rem;
  984. }
  985. }
  986. a.signin {
  987. color: var(--color-text-light);
  988. font-size: 70%;
  989. position: absolute;
  990. top: 0.5rem;
  991. right: 1.8rem;
  992. text-wrap: nowrap;
  993. transform: scale(1.5);
  994. .icon {
  995. filter: brightness(3);
  996. }
  997. }
  998. .log-item {
  999. &.log-error {
  1000. background-color: var(--color-background-bad);
  1001. color: var(--color-text-light);
  1002. }
  1003. &.log-warning {
  1004. background-color: var(--color-background-alert);
  1005. color: var(--color-text-light);
  1006. }
  1007. &.log-debug {
  1008. background: var(--color-background-dark);
  1009. color: var(--color-text-light);
  1010. }
  1011. }
  1012. body.reader {
  1013. #nav_menu_toggle_aside {
  1014. margin-top: -2px;
  1015. height: 32px;
  1016. }
  1017. nav.aside_feed > a.toggle_aside {
  1018. text-align: center;
  1019. }
  1020. .aside.visible {
  1021. padding-top: 0;
  1022. }
  1023. }
  1024. main.global {
  1025. margin: 1rem;
  1026. }
  1027. .dropdown .dropdown-section:last-child > ul:first-child {
  1028. margin-top: 0.4rem;
  1029. }
  1030. .labels {
  1031. span.emptyLabels {
  1032. color: white;
  1033. margin-left: 1rem;
  1034. }
  1035. ul.dropdown-menu-scrollable > li:nth-child(3) {
  1036. margin-top: 0.5rem;
  1037. }
  1038. }
  1039. @media (max-width: 840px) {
  1040. body:not(.formLogin, .register) {
  1041. .header {
  1042. .item.title {
  1043. display: none;
  1044. }
  1045. }
  1046. }
  1047. body.normal, body.reader, body.global {
  1048. .item.configure {
  1049. right: 76px;
  1050. }
  1051. a.signin {
  1052. right: 0;
  1053. }
  1054. }
  1055. .horizontal-list {
  1056. .dropdown {
  1057. position: inherit !important;
  1058. }
  1059. }
  1060. #nav_menu_sort,
  1061. #nav_menu_sort .dropdown,
  1062. #toggle-order {
  1063. position: fixed;
  1064. right: 0;
  1065. }
  1066. #nav_menu_sort .dropdown-menu {
  1067. position: absolute;
  1068. right: 0;
  1069. }
  1070. #nav_menu_sort .dropdown-menu,
  1071. #nav_menu_read_all .dropdown-menu,
  1072. #dropdown-search-wrapper .dropdown-menu,
  1073. #nav_menu_queries .dropdown-menu {
  1074. top: 4.4rem;
  1075. }
  1076. #nav_menu_sort .dropdown-menu,
  1077. #nav_menu_read_all .dropdown-menu,
  1078. #nav_menu_actions .dropdown-menu {
  1079. position: fixed;
  1080. }
  1081. body:not(.normal):not(.reader):not(.add) {
  1082. nav.configure a.dropdown-toggle {
  1083. position: fixed;
  1084. top: 0;
  1085. }
  1086. &:not(.global) {
  1087. .nav_menu {
  1088. height: 2.2rem;
  1089. }
  1090. nav.configure a.dropdown-toggle {
  1091. right: 0;
  1092. }
  1093. }
  1094. &.global {
  1095. nav.configure a.dropdown-toggle {
  1096. right: 2.4rem;
  1097. }
  1098. }
  1099. }
  1100. body.repartition {
  1101. .nav_menu {
  1102. position: fixed;
  1103. height: 3rem !important;
  1104. }
  1105. main.post {
  1106. margin-top: 4rem;
  1107. }
  1108. .nav_menu .btn {
  1109. display: block;
  1110. }
  1111. .nav_menu #feed_select {
  1112. padding: 0;
  1113. display: block;
  1114. margin-left: 5rem;
  1115. margin-bottom: 0.5rem;
  1116. }
  1117. }
  1118. .form-group .group-name {
  1119. padding-bottom: 0;
  1120. text-align: left;
  1121. }
  1122. .dropdown {
  1123. position: relative;
  1124. .dropdown-menu {
  1125. width: auto;
  1126. }
  1127. }
  1128. #new-article {
  1129. margin-top: 2rem;
  1130. width: 100%;
  1131. }
  1132. .header {
  1133. display: table;
  1134. .item {
  1135. padding: 0;
  1136. }
  1137. .item.configure {
  1138. padding: 0;
  1139. > .icon {
  1140. margin-top: 5px;
  1141. }
  1142. }
  1143. }
  1144. button.read_all.btn {
  1145. display: none;
  1146. }
  1147. .flux .item.manage,
  1148. .flux_header .item.website {
  1149. width: 35px;
  1150. text-align: center;
  1151. }
  1152. .aside {
  1153. padding: 0;
  1154. width: 0;
  1155. .toggle_aside {
  1156. background-color: var(--color-background-aside);
  1157. &:hover {
  1158. background-color: var(--color-background-nav);
  1159. }
  1160. .icon {
  1161. filter: brightness(3);
  1162. }
  1163. }
  1164. &.aside_feed .configure-feeds {
  1165. display: flex;
  1166. margin-top: 0;
  1167. margin-left: auto;
  1168. margin-right: auto;
  1169. }
  1170. &:target {
  1171. width: 78% !important;
  1172. z-index: 1000;
  1173. }
  1174. }
  1175. #slider {
  1176. .toggle_aside {
  1177. background-color: var(--color-background-aside);
  1178. &:hover {
  1179. background-color: var(--color-background-nav);
  1180. }
  1181. .icon {
  1182. filter: brightness(3);
  1183. }
  1184. }
  1185. }
  1186. .nav_menu {
  1187. height: 71px;
  1188. .btn {
  1189. margin: 0;
  1190. }
  1191. .stick,
  1192. .group {
  1193. margin: 0;
  1194. .btn {
  1195. margin: 0;
  1196. }
  1197. }
  1198. .item.search {
  1199. top: 3px;
  1200. margin-left: 77px;
  1201. width: calc(100% - 4 * 38px);
  1202. position: relative;
  1203. form {
  1204. display: block;
  1205. }
  1206. input {
  1207. width: 100%;
  1208. }
  1209. }
  1210. #nav_menu_toggle_aside {
  1211. position: absolute;
  1212. }
  1213. }
  1214. #overlay .close,
  1215. .dropdown-menu .toggle_aside {
  1216. background-color: var(--color-background-aside);
  1217. display: block;
  1218. height: 50px;
  1219. line-height: 3.5;
  1220. text-align: center;
  1221. padding-right: 10px;
  1222. &:hover {
  1223. background-color: var(--color-background-nav);
  1224. }
  1225. }
  1226. .dropdown-target:target ~ .dropdown-toggle::after,
  1227. .dropdown-target:target ~ .dropdown-toggle.btn::after {
  1228. display: none;
  1229. }
  1230. .share .dropdown-menu {
  1231. right: 3%;
  1232. left: auto;
  1233. }
  1234. .transition .name {
  1235. font-size: 1.1rem;
  1236. }
  1237. .notification {
  1238. width: 100%;
  1239. a.close {
  1240. background: transparent;
  1241. display: block;
  1242. left: 0;
  1243. &:hover {
  1244. opacity: 0.5;
  1245. }
  1246. .icon {
  1247. display: none;
  1248. }
  1249. }
  1250. }
  1251. #nav_entries {
  1252. width: 100% !important;
  1253. }
  1254. .post {
  1255. padding-left: 15px;
  1256. padding-right: 15px;
  1257. }
  1258. div#stream {
  1259. margin-top: 0px;
  1260. }
  1261. a.btn.toggle_aside {
  1262. position: absolute;
  1263. top: 0;
  1264. }
  1265. form#mark-read-menu,
  1266. a#actualize,
  1267. div#nav_menu_actions,
  1268. div#nav_menu_views {
  1269. position: absolute;
  1270. }
  1271. form#mark-read-menu {
  1272. right: 38px;
  1273. top: 0;
  1274. }
  1275. a#actualize {
  1276. right: 0;
  1277. top: 0;
  1278. }
  1279. a#toggle-order,
  1280. div#nav_menu_actions,
  1281. div#nav_menu_views {
  1282. top: 36px;
  1283. }
  1284. div#nav_menu_actions {
  1285. left: 0px;
  1286. }
  1287. div#nav_menu_views {
  1288. right: 32px;
  1289. }
  1290. body:is(.normal, .reader, .global) {
  1291. .nav_menu {
  1292. display: flex;
  1293. height: auto;
  1294. flex-wrap: wrap;
  1295. align-items: center;
  1296. row-gap: 2px;
  1297. padding-right: 3rem; /* room for absolute-positioned cog */
  1298. }
  1299. .nav_menu .item.search {
  1300. position: static;
  1301. top: auto;
  1302. width: auto;
  1303. flex: 1 1 140px;
  1304. min-width: 100px;
  1305. margin-left: 0;
  1306. }
  1307. .nav_menu form#mark-read-menu,
  1308. .nav_menu a#actualize,
  1309. .nav_menu div#nav_menu_actions,
  1310. .nav_menu div#nav_menu_views,
  1311. .nav_menu a#toggle-order,
  1312. .nav_menu #nav_menu_sort,
  1313. .nav_menu #nav_menu_sort .dropdown {
  1314. position: static;
  1315. top: auto;
  1316. right: auto;
  1317. left: auto;
  1318. }
  1319. .item.configure {
  1320. right: 0;
  1321. }
  1322. }
  1323. }
  1324. @media (max-width: 410px) {
  1325. .nav_menu .stick {
  1326. margin: 0;
  1327. }
  1328. }
  1329. button.as-link {
  1330. outline: none;
  1331. }
  1332. .dropdown-target:target ~ .btn.dropdown-toggle {
  1333. background-color: var(--color-background-nav-darker);
  1334. }
  1335. .tree-folder.active .tree-folder-title {
  1336. background-color: var(--color-background-nav-darker);
  1337. font-weight: bold;
  1338. }
  1339. .feed.item {
  1340. &.empty {
  1341. color: var(--color-text-alert);
  1342. &.active {
  1343. background-color: var(--color-background-alert);
  1344. color: var(--color-text-light);
  1345. > a {
  1346. color: var(--color-text-light);
  1347. }
  1348. }
  1349. > a {
  1350. color: var(--color-text-alert);
  1351. }
  1352. }
  1353. &.error {
  1354. color: var(--color-text-bad-lighter);
  1355. &.active {
  1356. background-color: var(--color-background-bad);
  1357. color: var(--color-text-light);
  1358. > a {
  1359. color: var(--color-text-light);
  1360. }
  1361. }
  1362. > a {
  1363. color: var(--color-text-bad-lighter);
  1364. }
  1365. }
  1366. }
  1367. #stream.reader .flux {
  1368. background-color: var(--color-background-light);
  1369. color: var(--color-text-aside);
  1370. border: none;
  1371. &::after {
  1372. border: none;
  1373. }
  1374. .flux_content {
  1375. border-color: var(--color-border-grey);
  1376. }
  1377. .author {
  1378. color: var(--color-text-light-darker);
  1379. }
  1380. }
  1381. #nav_menu_actions {
  1382. ul.dropdown-menu {
  1383. left: 0;
  1384. right: auto;
  1385. &::after {
  1386. display: none;
  1387. }
  1388. }
  1389. .dropdown.only-mobile {
  1390. display: initial !important;
  1391. }
  1392. }
  1393. #nav_menu_read_all {
  1394. ul.dropdown-menu {
  1395. &::after {
  1396. display: none;
  1397. }
  1398. }
  1399. }
  1400. #slider {
  1401. label {
  1402. min-height: initial;
  1403. }
  1404. }
  1405. body:has(.aside:not(.visible)) .header .item.title {
  1406. display: none;
  1407. }